%define	upstream_name    Cstools
%define	upstream_version 3.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tools for dealing with Czech and Slovak texts in Perl
License:    GPL
Group:      Development/Perl
Url:        http://www.fi.muni.cz/~adelton/perl/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This package includes modules that are useful when dealing with Czech (and
Slovak) texts in Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%dir %{perl_vendorlib}/Cz
%{perl_vendorlib}/Cz/*
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 3.440.0-3.mga9
+ Revision: 1811587
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 3.440.0-2.mga8
+ Revision: 1525292
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Apr 13 2019 tv <tv> 3.440.0-1.mga7
+ Revision: 1389598
- update to 3.44

* Wed Sep 19 2018 umeabot <umeabot> 3.420.0-8.mga7
+ Revision: 1266819
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 3.420.0-7.mga6
+ Revision: 1024733
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 3.420.0-6.mga6
+ Revision: 931319
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.420.0-5.mga5
+ Revision: 744545
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.420.0-4.mga5
+ Revision: 684074
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.420.0-3.mga4
+ Revision: 510332
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.420.0-2.mga3
+ Revision: 364977
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 3.420.0-1.mga1
+ Revision: 26251
- no meta.yml
- mageia rebuild
- imported package perl-Cstools

